Skip to main content
GET
/
api
/
v1
/
alerts
/
rules
/
{ruleId}
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/alerts/rules/{ruleId}
import requests

url = "https://api.staging.qyl.dev/api/v1/alerts/rules/{ruleId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/alerts/rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "project_id": "<string>",
  "name": "<string>",
  "condition_json": "<string>",
  "target_type": "<string>",
  "cooldown_seconds": 123,
  "enabled": true,
  "trigger_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "threshold_json": "<string>",
  "target_filter_json": "<string>",
  "notification_channels_json": "<string>",
  "last_triggered_at": "2023-11-07T05:31:56Z"
}
{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Path Parameters

ruleId
string
required

Response

The request has succeeded.

Alert rule definition

id
string
required

Rule ID

project_id
string
required

Owning project

name
string
required

Rule name

rule_type
enum<string>
required

Rule type

Available options:
threshold,
error_rate,
new_issue,
regression,
burn_rate,
anomaly,
custom
condition_json
string
required

Condition definition

target_type
string
required

Target type for evaluation

severity
enum<string>
required

Alert severity

Available options:
critical,
warning,
info
cooldown_seconds
integer<int32>
required

Cooldown between firings in seconds

enabled
boolean
required

Whether rule is enabled

trigger_count
integer<int64>
required

Total trigger count

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

description
string

Rule description

threshold_json
string

Threshold definition

target_filter_json
string

Target filter

notification_channels_json
string

Notification channels

last_triggered_at
string<date-time>

Last trigger timestamp